<?php

/**
 * linktonode_taxonomy_context
 * taxonomy extension for plugin linktonode
 */

class linktonode_taxonomy_context {

  function linktonode_taxonomy_context() {
  }

  function get_nodes($container, $parent = -1) {
    $types = variable_get('linktonode_node_types', array());
		if (!isset($types['vocabulary'])
			|| ($types['vocabulary'] !== 'vocabulary')) {
			return array();
    }
    if ($container > 0) {
      return array();
    }
    // invoke taxonomy_context
    $containers = module_invoke('taxonomy', 'get_vocabularies');
    $results = array();
    $obj = null;

    foreach ($containers as $item) {
      $obj = new StdClass;
      $obj->nid = $item->vid;
      $obj->title = (trim($item->name));
      $obj->date = '';
      $obj->author = '';
      $obj->type = 'vocabulary';
      $obj->href = url('taxonomy/vocabulary/' . $obj->nid);
      $obj->orig_href = 'taxonomy/vocabulary/' . $obj->nid; // used to remove duplicate entries
      $results[$obj->orig_href] = $obj;
    } // end foreach

    return $results;
  }

  function find_nodes($search) {
  }

  function get_title() {
    return t('taxonomy context');
  }

  function settings(){
    return array('vocabulary' => t('vocabulary'));
  }

  function settings_submit($form_id, $values){
  }

  function check_dependencies() {
    if (!module_exist('taxonomy_context')) {
      return false;
    }
    return true;
  }

}
?>